Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.ttf
Class HeaderTable

    java.lang.Object
      org.pdfbox.ttf.TTFTable
          org.pdfbox.ttf.HeaderTable

public class HeaderTable
extends TTFTable

A table in a true type font.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary
`static String` | `TAG` Tag to identify this table.

Constructor Summary
`HeaderTable()`

Method Summary
`long` | `getCheckSumAdjustment()`
`Calendar` | `getCreated()`
`int` | `getFlags()`
`short` | `getFontDirectionHint()`
`float` | `getFontRevision()`
`short` | `getGlyphDataFormat()`
`short` | `getIndexToLocFormat()`
`int` | `getLowestRecPPEM()`
`int` | `getMacStyle()`
`long` | `getMagicNumber()`
`Calendar` | `getModified()`
`int` | `getUnitsPerEm()`
`float` | `getVersion()`
`short` | `getXMax()`
`short` | `getXMin()`
`short` | `getYMax()`
`short` | `getYMin()`
`void` | `initData(TrueTypeFont ttf, TTFDataStream data)` This will read the required data from the stream.
`void` | `setCheckSumAdjustment(long checkSumAdjustmentValue)`
`void` | `setCreated(Calendar createdValue)`
`void` | `setFlags(int flagsValue)`
`void` | `setFontDirectionHint(short fontDirectionHintValue)`
`void` | `setFontRevision(float fontRevisionValue)`
`void` | `setGlyphDataFormat(short glyphDataFormatValue)`
`void` | `setIndexToLocFormat(short indexToLocFormatValue)`
`void` | `setLowestRecPPEM(int lowestRecPPEMValue)`
`void` | `setMacStyle(int macStyleValue)`
`void` | `setMagicNumber(long magicNumberValue)`
`void` | `setModified(Calendar modifiedValue)`
`void` | `setUnitsPerEm(int unitsPerEmValue)`
`void` | `setVersion(float versionValue)`
`void` | `setXMax(short maxValue)`
`void` | `setXMin(short minValue)`
`void` | `setYMax(short maxValue)`
`void` | `setYMin(short minValue)`

Methods inherited from class org.pdfbox.ttf.TTFTable
`getCheckSum, getLength, getOffset, getTag, setCheckSum, setLength, setOffset, setTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG

    public static final String TAG

  Tag to identify this table.

  See Also:
    Constant Field Values

Constructor Detail

### HeaderTable

    public HeaderTable()

Method Detail

### initData

    public void initData(TrueTypeFont ttf,
                         TTFDataStream data)
                  throws IOException

  This will read the required data from the stream.

  Overrides:
    `initData` in class `TTFTable`
  Parameters:
    `ttf` - The font that is being read.
    `data` - The stream to read the data from.
  Throws:
    `IOException` - If there is an error reading the data.

### getCheckSumAdjustment

    public long getCheckSumAdjustment()

  Returns:
    Returns the checkSumAdjustment.

### setCheckSumAdjustment

    public void setCheckSumAdjustment(long checkSumAdjustmentValue)

  Parameters:
    `checkSumAdjustmentValue` - The checkSumAdjustment to set.

### getCreated

    public Calendar getCreated()

  Returns:
    Returns the created.

### setCreated

    public void setCreated(Calendar createdValue)

  Parameters:
    `createdValue` - The created to set.

### getFlags

    public int getFlags()

  Returns:
    Returns the flags.

### setFlags

    public void setFlags(int flagsValue)

  Parameters:
    `flagsValue` - The flags to set.

### getFontDirectionHint

    public short getFontDirectionHint()

  Returns:
    Returns the fontDirectionHint.

### setFontDirectionHint

    public void setFontDirectionHint(short fontDirectionHintValue)

  Parameters:
    `fontDirectionHintValue` - The fontDirectionHint to set.

### getFontRevision

    public float getFontRevision()

  Returns:
    Returns the fontRevision.

### setFontRevision

    public void setFontRevision(float fontRevisionValue)

  Parameters:
    `fontRevisionValue` - The fontRevision to set.

### getGlyphDataFormat

    public short getGlyphDataFormat()

  Returns:
    Returns the glyphDataFormat.

### setGlyphDataFormat

    public void setGlyphDataFormat(short glyphDataFormatValue)

  Parameters:
    `glyphDataFormatValue` - The glyphDataFormat to set.

### getIndexToLocFormat

    public short getIndexToLocFormat()

  Returns:
    Returns the indexToLocFormat.

### setIndexToLocFormat

    public void setIndexToLocFormat(short indexToLocFormatValue)

  Parameters:
    `indexToLocFormatValue` - The indexToLocFormat to set.

### getLowestRecPPEM

    public int getLowestRecPPEM()

  Returns:
    Returns the lowestRecPPEM.

### setLowestRecPPEM

    public void setLowestRecPPEM(int lowestRecPPEMValue)

  Parameters:
    `lowestRecPPEMValue` - The lowestRecPPEM to set.

### getMacStyle

    public int getMacStyle()

  Returns:
    Returns the macStyle.

### setMacStyle

    public void setMacStyle(int macStyleValue)

  Parameters:
    `macStyleValue` - The macStyle to set.

### getMagicNumber

    public long getMagicNumber()

  Returns:
    Returns the magicNumber.

### setMagicNumber

    public void setMagicNumber(long magicNumberValue)

  Parameters:
    `magicNumberValue` - The magicNumber to set.

### getModified

    public Calendar getModified()

  Returns:
    Returns the modified.

### setModified

    public void setModified(Calendar modifiedValue)

  Parameters:
    `modifiedValue` - The modified to set.

### getUnitsPerEm

    public int getUnitsPerEm()

  Returns:
    Returns the unitsPerEm.

### setUnitsPerEm

    public void setUnitsPerEm(int unitsPerEmValue)

  Parameters:
    `unitsPerEmValue` - The unitsPerEm to set.

### getVersion

    public float getVersion()

  Returns:
    Returns the version.

### setVersion

    public void setVersion(float versionValue)

  Parameters:
    `versionValue` - The version to set.

### getXMax

    public short getXMax()

  Returns:
    Returns the xMax.

### setXMax

    public void setXMax(short maxValue)

  Parameters:
    `maxValue` - The xMax to set.

### getXMin

    public short getXMin()

  Returns:
    Returns the xMin.

### setXMin

    public void setXMin(short minValue)

  Parameters:
    `minValue` - The xMin to set.

### getYMax

    public short getYMax()

  Returns:
    Returns the yMax.

### setYMax

    public void setYMax(short maxValue)

  Parameters:
    `maxValue` - The yMax to set.

### getYMin

    public short getYMin()

  Returns:
    Returns the yMin.

### setYMin

    public void setYMin(short minValue)

  Parameters:
    `minValue` - The yMin to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD